#ifndef CDIST_DEBUG_H_
#define CDIST_DEBUG_H_

#ifndef CDIST_DEBUG
#define CDIST_DEBUG 4
#endif

#if     CDIST_DEBUG >= 4
#define DEBUG_CDIST( text, ...)    (DEBUG( LOG_CDIST, text, ## __VA_ARGS__))
#else
#define DEBUG_CDIST( text, ...)
#endif

#if     CDIST_DEBUG >= 3
#define INFO_CDIST( text, ...)     (INFO( LOG_CDIST, text, ## __VA_ARGS__))
#else
#define INFO_CDIST( text, ...)
#endif

#if     CDIST_DEBUG >= 2
#define WARNING_CDIST( text, ...)  (WARNING( LOG_CDIST, text, ## __VA_ARGS__))
#else
#define WARNING_CDIST( text, ...)
#endif

#if     CDIST_DEBUG >= 1
#define ERROR_CDIST( text, ...)    (ERROR( LOG_CDIST, text, ## __VA_ARGS__))
#else
#define ERROR_CDIST( text, ...)
#endif

#endif /*CDIST_DEBUG_H_*/
