#include <sync/sync-anchor.h>
#include <terminal/btn-terminal.h> // For DEBUGT

void sync_anchor_get_timestamp(char * bytestream) {
	// TODO evtl. Init these buffers outside function
	char r_buf[1];

	u_char i;
	
	#if ANCHORNODE_BAUD_RATE == 57600
		NutEnterCritical();
	#endif
	// Send signal to anchortime_pc in order to receive time.
	_write(_fileno(stdout), REQ_CHAR, 1);

	// wait for REQ_CHAR, read for SYNC_TSTAMP_LEN	
	do {
		_read(_fileno(stdin), r_buf, 1);
	} while(strncmp(r_buf, REQ_CHAR, 1) != 0);

//	_read(_fileno(stdin), bytestream, SYNC_ANCHOR_TSTAMP_LEN);

	for(i = 0; i < SYNC_ANCHOR_TSTAMP_LEN; i += 1){
		_read(_fileno(stdin), r_buf, 1);
		bytestream[i] = r_buf[0];
	} 	

	
	// Send ACK_CHAR as confirmation that time has been received.
	_write(_fileno(stdout), ACK_CHAR, 1);	
	#if ANCHORNODE_BAUD_RATE == 57600
		NutExitCritical();
	#endif
	
}
